/* Font */
@import url("https://fonts.googleapis.com/css?family=Quicksand:400,700");

/* Design */
*,
*::before,
*::after {
    box-sizing: border-box;
}

.main {
    max-width: 1200px;
    margin: 0 auto;
}

.main h1 {
    font-size: 24px;
    font-weight: 400;
    text-align: center;
}

.main a {
    color: #fff;
}

.main img {
    height: auto;
    max-width: 100%;
    vertical-align: middle;
}

.main .btn {
    color: #ffffff;
    padding: 0.8rem;
    font-size: 14px;
    text-transform: uppercase;
    border-radius: 4px;
    font-weight: 400;
    display: block;
    width: 100%;
    cursor: pointer;
    border: 1px solid rgba(255, 255, 255, 0.2);
    background: transparent;
}

.main .btn:hover {
    background-color: rgba(255, 255, 255, 0.12);
}

.cards {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
}

.cards_item {
    display: flex;
    padding: 1rem;
}

@media (min-width: 40rem) {
    .cards_item {
        width: 50%;
    }
}

@media (min-width: 56rem) {
    .cards_item {
        width: 33.3333%;
    }
}

.card {
    background-color: white;
    border-radius: 0.25rem;
    box-shadow: 0 20px 40px -14px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.card_content {
    padding: 1rem;
    background: linear-gradient(to bottom left, #ef8d9c 40%, #ffc39e 100%);
    width: 100%;
}

.card_title {
    color: #ffffff;
    font-size: 1.1rem;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: capitalize;
    margin: 0px;
    font-family: 微軟正黑體;
}

.card_text {
    color: #ffffff;
    font-size: 0.875rem;
    line-height: 1.5;
    margin-bottom: 1.25rem;
    font-weight: 400;
    font-family: 微軟正黑體;
}

.modal-title {
    color: #000;
}

.modal-body {
    color: #000;
}

.modal {
    padding-right: 0 !important;
}

body,body.modal-open {
    overflow:inherit;
    padding-right:inherit !important;
}

#scoreLeaderboard table {
    table-layout: fixed;
}

#scoreLeaderboard table td {
    word-wrap: break-word;
}

#start {
    margin: 0px;
    font-weight: bold;
    color: white;
    display: block;
    width: 100%;
    text-align: center;
    vertical-align: center;
    z-index: 1;
    position: absolute;
    top: 60vh;
}

#start h2 {
    top: 5vh;
    font-size: 1.5em;
}



.cn-wrapper * {
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    list-style: none;
    position: relative

}

.cn-wrapper {
    font-size: 1em;
    width: 26em;
    height: 26em;
    overflow: hidden;
    position: fixed;
    z-index: 10;
    bottom: -13em;
    left: 50%;
    border-radius: 50%;
    margin-left: -13em;
    -webkit-transform: scale(0.1);
    -ms-transform: scale(0.1);
    -moz-transform: scale(0.1);
    transform: scale(0.1);
    pointer-events: none;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    transition: all .3s ease;
}

.opened-nav {
    border-radius: 50%;
    pointer-events: auto;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.cn-button {
    border: none;
    background: none;
    color: #8df86b;
    text-align: center;
    font-size: 1.8em;
    padding-bottom: 1em;
    height: 3.5em;
    width: 3.5em;
    background-color: #fff;
    position: fixed;
    left: 50%;
    margin-left: -1.75em;
    bottom: -1.75em;
    border-radius: 50%;
    cursor: pointer;
    z-index: 11;
    display: none;
}

.cn-button:hover,
.cn-button:active,
.cn-button:focus {
    color: #27aa10;
}

.cn-wrapper li {
    position: absolute;
    font-size: 1.5em;
    width: 10em;
    height: 10em;
    -webkit-transform-origin: 100% 100%;
    -moz-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    overflow: hidden;
    left: 50%;
    top: 50%;
    margin-top: -1.3em;
    margin-left: -10em;
    -webkit-transition: border .3s ease;
    -moz-transition: border .3s ease;
    transition: border .3s ease;
}

.cn-wrapper li a {
    display: block;
    font-size: 1.18em;
    height: 14.5em;
    width: 14.5em;
    position: absolute;
    bottom: -7.25em;
    right: -7.25em;
    border-radius: 50%;
    text-decoration: none;
    color: #fff;
    padding-top: 1.5em;
    text-align: center;
    -webkit-transform: skew(-30deg) rotate(-60deg) scale(0.75);
    -ms-transform: skew(-30deg) rotate(-60deg) scale(0.75);
    -moz-transform: skew(-30deg) rotate(-60deg) scale(0.75);
    transform: skew(-30deg) rotate(-60deg) scale(0.75);
    -webkit-backface-visibility: hidden;
    /*-webkit-transition: opacity 0.3s, color 0.3s;*/
    /*-moz-transition: opacity 0.3s, color 0.3s;*/
    /*transition: opacity 0.3s, color 0.3s;*/

    /*width:100px;*/
    /*padding: 11px 16px;*/
    /*text-align:center;*/
    /*float:left;*/
    /*background: #ff3232;*/
    /* Old browsers */
    /*background: linear-gradient(to bottom, RGBA(0,0,0,0.5) 50%, RGBA(255,255,255, 0.5)50%);*/
    /*background-size: 100% 200%;*/
    /*background-position: top;*/
    /*margin-left:10px;*/
}

.cn-wrapper img .cnClick {
    width: 125%;
}

.cn-wrapper li a span {
    font-size: 1.1em;
    opacity: 0.7;
}

/* for a central angle x, the list items must be skewed by 90-x degrees
in our case x=40deg so skew angle is 50deg
items should be rotated by x, minus (sum of angles - 180)2s (for this demo) */

.cn-wrapper li:first-child {
    -webkit-transform: rotate(-0deg) skew(30deg);
    -ms-transform: rotate(-0deg) skew(30deg);
    -moz-transform: rotate(-0deg) skew(30deg);
    transform: rotate(-0deg) skew(30deg);
}

.cn-wrapper li:nth-child(2) {
    -webkit-transform: rotate(60deg) skew(30deg);
    -ms-transform: rotate(60deg) skew(30deg);
    -moz-transform: rotate(60deg) skew(30deg);
    transform: rotate(60deg) skew(30deg);
}

.cn-wrapper li:nth-child(3) {
    -webkit-transform: rotate(120deg) skew(30deg);
    -ms-transform: rotate(120deg) skew(30deg);
    -moz-transform: rotate(120deg) skew(30deg);
    transform: rotate(120deg) skew(30deg)
}

.cn-wrapper li:nth-child(4) {
    -webkit-transform: rotate(-0deg) skew(30deg);
    -ms-transform: rotate(-0deg) skew(30deg);
    -moz-transform: rotate(-0deg) skew(30deg);
    transform: rotate(-0deg) skew(30deg);
}

.cn-wrapper li:nth-child(5) {
    -webkit-transform: rotate(60deg) skew(30deg);
    -ms-transform: rotate(60deg) skew(30deg);
    -moz-transform: rotate(60deg) skew(30deg);
    transform: rotate(60deg) skew(30deg);
}

.cn-wrapper li:nth-child(6) {
    -webkit-transform: rotate(120deg) skew(30deg);
    -ms-transform: rotate(120deg) skew(30deg);
    -moz-transform: rotate(120deg) skew(30deg);
    transform: rotate(120deg) skew(30deg)
}

.cn-wrapper li:nth-child(odd) a {
    /*background-color: #a11313;*/
    background-color: hsl(107, 83%, 66%);
}

.cn-wrapper li:nth-child(even) a {
    /*background-color: #a61414;*/
    background-color: hsl(102, 84%, 63%);
}

/* active style */
.cn-wrapper li.active a {
    /*background-color: #b31515;*/
    background-color: hsla(0, 88%, 70%,  0.5);
}

.cn-wrapper a.active {
    box-shadow: 1px 1px 33px 4px rgba(255,255,255,1);
}

.cn-wrapper .waveProgress a {
    background-color: rgba(255, 255, 255, 0.75)!important;
}


/* hover style */
/*.cn-wrapper li:not(.active) a:hover,*/
/*.cn-wrapper li:not(.active) a:active,*/
/*.cn-wrapper li:not(.active) a:focus {*/
/*    background-color: #b31515;*/
/*    background-color: hsla(0, 88%, 70%,  0.5);*/
/*    background-position: bottom;*/
/*    transition:all 2s ease;*/
/*}*/

.cn-wrapper li:not(.active) a:focus
{
    position:fixed;
}

.cn-wrapper img{
    width: 3rem;
}


/* fallback */
.no-csstransforms .cn-button {
    display: none;
}

.no-csstransforms .cn-wrapper li {
    position: static;
    float: left;
    font-size: 1em;
    height: 5em;
    width: 5em;
    background-color: #eee;
    text-align: center;
    line-height: 5em;
}

.no-csstransforms .cn-wrapper li a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: inherit;
    font-size: 1.3em;
    border-right: 1px solid #ddd;
}

.no-csstransforms .cn-wrapper li a:last-child {
    border: none;
}

.no-csstransforms .cn-wrapper li a:hover,
.no-csstransforms .cn-wrapper li a:active,
.no-csstransforms .cn-wrapper li a:focus {
    background-color: white;
}

.no-csstransforms .cn-wrapper li.active a {
    background-color: #6F325C;
    color: #fff;
}

.no-csstransforms .cn-wrapper {
    font-size: 1em;
    height: 5em;
    width: 25.15em;
    bottom: 0;
    margin-left: -12.5em;
    overflow: hidden;
    position: fixed;
    z-index: 10;
    left: 50%;
    border: 1px solid #ddd;
}

@media screen and (max-width:480px) {
    .cn-wrapper {
        font-size: .68em;
    }

    .cn-button {
        font-size: 1em;
    }

    .cn-wrapper li {
        font-size: 1.52em;
    }
    .cn-wrapper li a {
        -webkit-transform: skew(-30deg) rotate(-60deg) scale(1.25);
        -ms-transform: skew(-30deg) rotate(-60deg) scale(1.25);
        -moz-transform: skew(-30deg) rotate(-60deg) scale(1.25);
        transform: skew(-30deg) rotate(-60deg) scale(1.25);
        padding-top: 2.5em;
    }
}